Opened 10 years ago

Closed 10 years ago

Last modified 10 years ago

#520 closed Bug (fixed)

Clipboard Probleme mit Texteingabe im WorkspaceManager

Reported by: no-reply@… Owned by: matkovic
Priority: Important Milestone: CrypTool 2.0 BETA 9
Component: WorkspaceManager Keywords:
Cc:

Description

Title: Crash report
Exception at 1/19/2012 1:36:27 AM (UTC time).
User message:

-
Exception:
System.Runtime.InteropServices.COMException (0x800401D0): OpenClipboard Failed (Exception from HRESULT: 0x800401D0 (CLIPBRD_E_CANT_OPEN))
   at System.Runtime.InteropServices.Marshal.ThrowExceptionForHRInternal(Int32 errorCode, IntPtr errorInfo)
   at System.Windows.Clipboard.CriticalSetDataObject(Object data, Boolean copy)
   at System.Windows.Clipboard.SetDataInternal(String format, Object data)
   at System.Windows.Clipboard.SetData(String format, Object data)
   at WorkspaceManager.View.BinVisual.BinEditorVisual.CopyToClipboardClick(Object sender, RoutedEventArgs e)
   at System.Windows.RoutedEventHandlerInfo.InvokeHandler(Object target, RoutedEventArgs routedEventArgs)
   at System.Windows.EventRoute.InvokeHandlersImpl(Object source, RoutedEventArgs args, Boolean reRaised)
   at System.Windows.UIElement.RaiseEventImpl(DependencyObject sender, RoutedEventArgs args)
   at System.Windows.UIElement.RaiseEvent(RoutedEventArgs e)
   at System.Windows.Controls.Primitives.ButtonBase.OnClick()
   at System.Windows.Controls.Button.OnClick()
   at System.Windows.Controls.Primitives.ButtonBase.OnMouseLeftButtonUp(MouseButtonEventArgs e)
   at System.Windows.UIElement.OnMouseLeftButtonUpThunk(Object sender, MouseButtonEventArgs e)
   at System.Windows.Input.MouseButtonEventArgs.InvokeEventHandler(Delegate genericHandler, Object genericTarget)
   at System.Windows.RoutedEventArgs.InvokeHandler(Delegate handler, Object target)
   at System.Windows.RoutedEventHandlerInfo.InvokeHandler(Object target, RoutedEventArgs routedEventArgs)
   at System.Windows.EventRoute.InvokeHandlersImpl(Object source, RoutedEventArgs args, Boolean reRaised)
   at System.Windows.UIElement.ReRaiseEventAs(DependencyObject sender, RoutedEventArgs args, RoutedEvent newEvent)
   at System.Windows.UIElement.OnMouseUpThunk(Object sender, MouseButtonEventArgs e)
   at System.Windows.Input.MouseButtonEventArgs.InvokeEventHandler(Delegate genericHandler, Object genericTarget)
   at System.Windows.RoutedEventArgs.InvokeHandler(Delegate handler, Object target)
   at System.Windows.RoutedEventHandlerInfo.InvokeHandler(Object target, RoutedEventArgs routedEventArgs)
   at System.Windows.EventRoute.InvokeHandlersImpl(Object source, RoutedEventArgs args, Boolean reRaised)
   at System.Windows.UIElement.RaiseEventImpl(DependencyObject sender, RoutedEventArgs args)
   at System.Windows.UIElement.RaiseTrustedEvent(RoutedEventArgs args)
   at System.Windows.UIElement.RaiseEvent(RoutedEventArgs args, Boolean trusted)
   at System.Windows.Input.InputManager.ProcessStagingArea()
   at System.Windows.Input.InputManager.ProcessInput(InputEventArgs input)
   at System.Windows.Input.InputProviderSite.ReportInput(InputReport inputReport)
   at System.Windows.Interop.HwndMouseInputProvider.ReportInput(IntPtr hwnd, InputMode mode, Int32 timestamp, RawMouseActions actions, Int32 x, Int32 y, Int32 wheel)
   at System.Windows.Interop.HwndMouseInputProvider.FilterMessage(IntPtr hwnd, WindowMessage msg, IntPtr wParam, IntPtr lParam, Boolean& handled)
   at System.Windows.Interop.HwndSource.InputFilterMessage(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam, Boolean& handled)
   at MS.Win32.HwndWrapper.WndProc(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam, Boolean& handled)
   at MS.Win32.HwndSubclass.DispatcherCallbackOperation(Object o)
   at System.Windows.Threading.ExceptionWrapper.InternalRealCall(Delegate callback, Object args, Int32 numArgs)
   at MS.Internal.Threading.ExceptionFilterHelper.TryCatchWhen(Object source, Delegate method, Object args, Int32 numArgs, Delegate catchHandler)
   at System.Windows.Threading.Dispatcher.InvokeImpl(DispatcherPriority priority, TimeSpan timeout, Delegate method, Object args, Int32 numArgs)
   at MS.Win32.HwndSubclass.SubclassWndProc(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam)
   at MS.Win32.UnsafeNativeMethods.DispatchMessage(MSG& msg)
   at System.Windows.Threading.Dispatcher.PushFrameImpl(DispatcherFrame frame)
   at System.Windows.Threading.Dispatcher.PushFrame(DispatcherFrame frame)
   at System.Windows.Application.RunDispatcher(Object ignore)
   at System.Windows.Application.RunInternal(Window window)
   at System.Windows.Application.Run(Window window)
   at Cryptool.CrypWin.App.Main()

-
System infos:
Operating System: Microsoft Windows NT 6.1.7601 Service Pack 1
Processors: 2
Administrative Rights: False
Current culture: en-US
CrypTool version: 2.0.4446.1
Installation type: NSIS
Build type: Nightly
Build time: 1/18/2012 7:06:50 PM
Product name: CrypTool 2.0 (Nightly Build 4446.1)
Common language runtime version: 4.0.30319.239
System time: 8:36 PM


Change History (5)

comment:1 Changed 10 years ago by kopal

Owner: changed from coredevs to matkovic
Status: newassigned

Sieht nach einem Problem innerhalb der View Komponente (WorkspaceManager.View.BinVisual.BinEditorVisual) des WorkspaceManagers aus. Soweit ich mich erinnern kann, musste da entsprechend bei dem GUI_Element etwas umgestellt/geflagged werden. Kannst du dich noch erinnern Viktor?

comment:2 Changed 10 years ago by kopal

Component: GeneralWorkspaceManager
Summary: Crash report 2012-01-19Clipboard Probleme mit Texteingabe im WorkspaceManager

comment:3 Changed 10 years ago by kopal

Priority: UnclassifiedImportant

comment:4 Changed 10 years ago by matkovic

Resolution: fixed
Status: assignedclosed

(In [4529]) fixes #545 , #537, #531, #520, #539, #429 [workspace] added a Context menu for lines, improvements on partial Line selection (buggy)

comment:5 Changed 10 years ago by Sven Rech

Milestone: CrypTool 2.0 BETA 8CrypTool 2.0 BETA 9

Milestone CrypTool 2.0 BETA 8 deleted

Note: See TracTickets for help on using tickets.